Subject: question on I-134, PLS help

From: Heshun Chen <[email-masked]>
Date: Sun, 3 Apr 94 21:16:45 CDT

Hi, Dear netters:

I have just received my wife's LAD interview notice from INS. Enclosed
there is a blank form  I-134 and the notice asks us to bring completed
I-134 at interview. Did  anybody have the similar case?
What does this mean exactly? Is it mean we have to find somebody with a
good financial ability to sign a I-134 for us or I could sign the I-134
for my wife? I'm a graduate student with research asistantship as most of
others. My wife has no job and is not a student right now. Anybody have any
information or suggetion please reply.
Thank you very much in advance.